Bug 981409 - xorg.conf rotate settings not taking effect, works with xrandr command
xorg.conf rotate settings not taking effect, works with xrandr command
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 11:50 EDT by Charles R. Anderson
Modified: 2015-02-17 10:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:51:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1016 bytes, text/plain)
2013-07-04 11:55 EDT, Charles R. Anderson
no flags Details
Xorg.0.log (83.04 KB, text/plain)
2013-07-04 11:56 EDT, Charles R. Anderson
no flags Details
dmesg (80.83 KB, text/plain)
2013-07-04 11:56 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2013-07-04 11:50:51 EDT
Description of problem:

In Fedora 17, xorg.conf Option "Rotate" "left" worked to rotate the 4 monitors in my setup.  With Fedora 19, the same xorg.conf no longer works to rotate the outputs, but running the equivalent xrandr command manually works correctly.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.14.1-4.fc19.x86_64
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64


How reproducible:
always

Steps to Reproduce:
1. Use the following xorg.conf
2. systemctl restart gdm.service
3.

Actual results:

The 4 monitors are correctly positioned, but the outputs are not rotated.

Expected results:

Rotated outputs on the 4 monitors.

Additional info:

xorg.conf:

Section "Monitor"
    Identifier  "DisplayPort-0"
    Option      "primary"
    Option      "Rotate"                "left"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-1"
    Option      "RightOf"               "DisplayPort-0"
    Option      "PreferredMode"         "1920x1200"
    Option      "Rotate"                "left"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-2"
    Option      "RightOf"                "DisplayPort-1"
    Option      "PreferredMode"         "1920x1200"
    Option      "Rotate"                "left"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-3"
    Option      "RightOf"                "DisplayPort-2"
    Option      "Rotate"                "left"
EndSection

Adding "Position" doesn't help:

Section "Monitor"
    Identifier  "DisplayPort-0"
    Option      "primary"
    Option      "PreferredMode"         "1600x1200"
    Option      "Rotate"                "left"
    Option      "Position"              "0 0"
    #Option     "DPMS"                  "off"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-1"
    Option      "RightOf"               "DisplayPort-0"
    Option      "PreferredMode"         "1920x1200"
    Option      "Rotate"                "left"
    Option      "Position"              "1200 0"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-2"
    Option      "RightOf"               "DisplayPort-1"
    Option      "PreferredMode"         "1920x1200"
    Option      "Rotate"                "left"
    Option      "Position"              "2400 0"
EndSection

Section "Monitor"
    Identifier  "DisplayPort-3"
    Option      "RightOf"               "DisplayPort-2"
    Option      "PreferredMode"         "1600x1200"
    Option      "Rotate"                "left"
    Option      "Position"              "3600 0"
    #Option     "DPMS"                  "off"
EndSection

Here is the xrandr command I run to get the correct result:

xrandr  --output DisplayPort-0 --mode 1600x1200 --rotate left --pos 0x0 \
        --output DisplayPort-1 --mode 1920x1200 --rotate left --pos 1200x0 --right-of DisplayPort-0 \
        --output DisplayPort-2 --mode 1920x1200 --rotate left --pos 2400x0 --right-of DisplayPort-1 \
        --output DisplayPort-3 --mode 1600x1200 --rotate left --pos 3600x0 --right-of DisplayPort-2

Here is the output of xrandr after running the above xrandr command:

Screen 0: minimum 320 x 200, current 4800 x 1920, maximum 8192 x 8192
DisplayPort-0 connected primary 1200x1600+0+0 left (normal left inverted right x axis y axis) 367mm x 275mm
   1600x1200      60.0*+
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
DisplayPort-1 connected 1200x1920+1200+0 left (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1920x1080      50.0     60.0     24.0  
   1920x1080i     50.0     60.1  
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1280x720       50.0     60.0  
   1440x576i      50.1  
   1024x768       75.1     60.0  
   1440x480i      60.1  
   800x600        75.0     60.3  
   720x576        50.0  
   720x480        59.9  
   640x480        75.0     60.0     59.9  
   720x400        70.1  
DisplayPort-2 connected 1200x1920+2400+0 left (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1920x1080      50.0     60.0     24.0  
   1920x1080i     50.0     60.1  
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1280x720       50.0     60.0  
   1440x576i      50.1  
   1024x768       75.1     60.0  
   1440x480i      60.1  
   800x600        75.0     60.3  
   720x576        50.0  
   720x480        59.9  
   640x480        75.0     60.0     59.9  
   720x400        70.1  
DisplayPort-3 connected 1200x1600+3600+0 left (normal left inverted right x axis y axis) 367mm x 275mm
   1600x1200      60.0*+
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  

lspci:

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cedar GL [FirePro 2460] [1002:68f1]
Comment 1 Charles R. Anderson 2013-07-04 11:55:50 EDT
Created attachment 768860 [details]
xorg.conf
Comment 2 Charles R. Anderson 2013-07-04 11:56:24 EDT
Created attachment 768861 [details]
Xorg.0.log
Comment 3 Charles R. Anderson 2013-07-04 11:56:54 EDT
Created attachment 768863 [details]
dmesg
Comment 4 Fedora End Of Life 2015-01-09 13:40:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:51:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.